]> Zhao Yanbai Git Server - minix.git/commitdiff
. initial version of binpackage script
authorBen Gras <ben@minix3.org>
Mon, 23 Jan 2006 12:22:06 +0000 (12:22 +0000)
committerBen Gras <ben@minix3.org>
Mon, 23 Jan 2006 12:22:06 +0000 (12:22 +0000)
. build now used to make binary packages (and still in easypack), kick out
  makeme.sh

commands/bzip2-1.0.3/build
commands/bzip2-1.0.3/makeme.sh [deleted file]
commands/flex-2.5.4/build
commands/flex-2.5.4/makeme.sh [deleted file]
commands/pax/build [moved from commands/pax/makeme.sh with 100% similarity]
commands/scripts/Makefile
commands/scripts/binpackage.sh [new file with mode: 0644]

index 90ec904eacae17d0054e73746647540c9dfe11d6..dc05bcc3da1ea93456f255d02765bca1982b91fb 100755 (executable)
@@ -1,4 +1,4 @@
 #!/bin/sh
 make clean
-sh makeme.sh
+bigmake all
 make install
diff --git a/commands/bzip2-1.0.3/makeme.sh b/commands/bzip2-1.0.3/makeme.sh
deleted file mode 100644 (file)
index 9b972e6..0000000
+++ /dev/null
@@ -1 +0,0 @@
-bigmake all
index 90ec904eacae17d0054e73746647540c9dfe11d6..612e9ad3ea7a8dbc18e39939b036b492efbeee43 100755 (executable)
@@ -1,4 +1,4 @@
 #!/bin/sh
 make clean
-sh makeme.sh
+CC=cc /bin/sh ./configure --prefix=/usr/local && bigmake all
 make install
diff --git a/commands/flex-2.5.4/makeme.sh b/commands/flex-2.5.4/makeme.sh
deleted file mode 100644 (file)
index 5e738f8..0000000
+++ /dev/null
@@ -1 +0,0 @@
-CC=cc /bin/sh ./configure --prefix=/usr/local && bigmake all
similarity index 100%
rename from commands/pax/makeme.sh
rename to commands/pax/build
index 4c22efc97db02bf88f9df65b8e8c2568a72bb76d..2b128551b58e54ed980b653422acc48f9357a7fd 100755 (executable)
@@ -16,6 +16,7 @@ usr:  \
        /usr/bin/MAKEDEV \
        /usr/bin/bigmake \
        /usr/bin/adduser \
+       /usr/bin/binpackage \
        /usr/bin/cd \
                /usr/bin/[ \
                /usr/bin/command \
@@ -82,6 +83,9 @@ clean:
 /usr/bin/bigmake:      bigmake.sh
        install -m 755 -c -o bin $? $@
 
+/usr/bin/binpackage:   binpackage.sh
+       install -m 755 -c -o bin $? $@
+
 /usr/bin/adduser:      adduser.sh
        install -m 755 -c -o bin $? $@
 
diff --git a/commands/scripts/binpackage.sh b/commands/scripts/binpackage.sh
new file mode 100644 (file)
index 0000000..28c29c7
--- /dev/null
@@ -0,0 +1,33 @@
+#!/bin/sh 
+
+set -e
+
+dir=$1
+
+if [ ! -d "$dir" ]
+then   echo "Error: $dir isn't a directory."
+       exit 1
+fi
+
+here=`pwd`
+srcdir=$here/$dir
+packagestart=$srcdir/now
+findlist=$srcdir/findlist
+tarfile=${dir}.tar
+tar=$srcdir/$tarfile
+targz=$tarfile.gz
+
+binsizes big
+touch $packagestart
+sleep 1
+cd $dir
+sh build
+cd /
+echo " * Making file index, writing $targz"
+find / -cnewer $packagestart | grep -v "^$srcdir" | grep -v "^/dev" | grep -v "^/tmp" | grep -v "^/usr/tmp" | pax -w -d -z >$targz
+echo " * Ok. Cleanup.."
+rm -f $packagestart $findlist $tarcmd
+binsizes normal
+mv $targz $here
+ls -al $here/$targz
+exit 0